
// If debug set, exit will wait for Enter pressed 
#define DEBUG 1

//if define time measuring is ON
#define TIME_MEASURING

// Program constants 
#define ITERATIONS 10000
#define EPSILON 5e-5
#define NUM_OF_PARAM_SETS 50
#define NUMBER_MIN_METRIC 5

// Nealder-Mead algoritmus constants 
#define A 1.0
#define B 1.0
#define G 0.5
#define H 0.5

// Equation default bounds 
#define P_MAX 2.0
#define P_MIN 0.0
#define CG_MAX 0.0
#define CG_MIN -0.5
#define C_MAX 10.0
#define C_MIN -10.0
#define DT_MAX 0.0277777
#define DT_MIN 0.0
#define H_MAX 0.0277777
#define H_MIN 0.0
#define K_MAX 1.0
#define K_MIN -1.0