#ifndef _FILEDRIVER_H
#define _FILEDRIVER_H

#include <string>
#include <map>
#include <fstream>
#include <iostream>
#include <algorithm>
#include "EquationBounds.h"

using namespace std;

//File drive: load data from file and store as parameters bounds
class FileDriver
{
public:
	FileDriver(string path);
	//load, parse and store parameters bounds
	void load();

private:
	//path to file
	string _path;
	//key-value parsed data
	map<string, double> _data;

	//parse each row and if found '=' save data as key - value pair
	void parseRow(string row);
};

#endif