#ifndef _SQLDRIVER_H
#define _SQLDRIVER_H

#include "lib/sqlite/sqlite3.h"

#include <string>
#include <vector>
#include <fstream>
#include <sstream>
#include <iostream>
#include <climits>

#include "MeasuredData.h"
#include "SegmentData.h"

using namespace std;

class SqliteDriver {
public:
	SqliteDriver(string path);
	~SqliteDriver(); //desctructor
	//load data from database and store into segment as MeasuredData values
	vector<SegmentData> load(vector<SegmentData> &segments);
	//save parameters with the best metric into database
	void save(vector<SegmentData> &segments);
private:
	sqlite3 *_db = NULL;
	int sql_err_code;
};

#endif