#pragma once
#include <iostream>
#include <map>
#include <string>

using namespace std;

class CmdDriver
{
public:
	CmdDriver(int argc, char** argv);
	// Napoveda k parametrum programu 
	static void getHelp();
	// Napoveda ke spusteni programu 
	static void getProgramInfo();
	// parsuje jednotlive parametry prikazove radky 
	void parse(int argc, char **argv);

	map<string, string> getParams() { return _params; }
	string getParam(string key);

private:
	map<string, string> _params;
};

