#pragma once
#include <iostream>
#include "Constants.h"

using namespace std;
class EquationBounds
{
public:
	static double
		pmin, pmax, 
		cgmin, cgmax, 
		cmin, cmax, 
		dtmin, dtmax, 
		hmin, hmax,
		kmin, kmax;
	static bool is_default;
	static void printEquationBounds(){
		cout << "EquationBounds("
			<< "P = [" << EquationBounds::pmin << ", " << EquationBounds::pmax << "]; "
			<< "CG = [" << EquationBounds::cgmin << ", " << EquationBounds::cgmax << "]; "
			<< "C = [" << EquationBounds::cmin << ", " << EquationBounds::cmax << "]; "
			<< "DT = [" << EquationBounds::dtmin << ", " << EquationBounds::dtmax << "]; "
			<< "H = [" << EquationBounds::hmin << ", " << EquationBounds::hmax << "]; "
			<< "K = [" << EquationBounds::kmin << ", " << EquationBounds::kmax << "])";
		if (EquationBounds::is_default)
			cout << " -- DEFAULT";
		cout << endl;
	}
};

