#include "MeasuredData.h"


MeasuredData::MeasuredData(): _row_id(0), _date(0), _blood(0), _ist(0) {}
MeasuredData::MeasuredData(int row_id, double date, double blood, double ist)
	: _row_id(row_id), _date(date), _blood(blood), _ist(ist) {}

void MeasuredData::setRowId(int row_id){
	this->_row_id = row_id;
}
void MeasuredData::setDate(double date){
	this->_date = date;
}
void MeasuredData::setBlood(double blood){
	this->_blood = blood;
}
void MeasuredData::setIst(double ist){
	this->_ist = ist;
}
std::ostream& operator<<(std::ostream &strm, const MeasuredData &x) {
	return strm << "MeasuredData(" << x.getRowId() << ", " << x.getDate() << ", " << x.getBlood() << ", " << x.getIst() << ")";
}