#ifndef _CMD_DRIVER_H
#define _CMD_DRIVER_H

#include <iostream>
#include <map>
#include <string>

using namespace std;

//Command line parameters parser and help
class CmdDriver
{
public:
	CmdDriver(int argc, char** argv);
	// program parameters help
	static void getHelp();
	// how to start program
	static void getProgramInfo();
	//parameters parser
	void parse(int argc, char **argv);

	map<string, string> getParams() { return _params; }
	string getParam(string key);

private:
	//parsed parameters
	map<string, string> _params;
};

#endif