#ifndef _CONFIG_H
#define _CONFIG_H

//if this header is included, program will run with Intel TBB
//#include "tbb.h"

// If debug set, exit will wait for Enter pressed
#define DEBUG 1

//if define time measuring is ON
#define TIME_MEASURING

//the number of iteration for Nelder-Mead optimalization
#define ITERATIONS 10000
//if metric is less then this epsilon Nelder-Mead optimalization will be terminated
#define METRIC_EPSILON 5e-5
//the number of simplex parameters sets
#define NUM_OF_PARAM_SETS 50

#endif